
Foreman - Feature #27544

Hosts and Hostgroups API endpoints don't provide parameter_type and hidden_value support

08/08/2019 09:44 AM - Baptiste Agasse

Status: Closed   

Priority: Normal   

Assignee: Baptiste Agasse   

Category: API   

Target version:    

Difficulty: trivial Fixed in Releases: 1.24.0

Triaged: No Found in Releases: 1.22.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6965

  

Description

Hosts and Hostgroups API endpoints don't provide parameter_type and hidden_value support to host/hostgroup parameters

Related issues:

Related to Foreman - Tracker #27680: API bugs that need workarounds in forema... New

Related to Foreman - Bug #27897: Param type should not be required in host(gr... Closed

Related to Hammer CLI - Bug #27868: No way to provide type for hosts paramete... Closed

Associated revisions

Revision cad1fc38 - 09/02/2019 10:55 AM - Baptiste Agasse 

Fixes #27544 - Add param type and hidden val to host(group) api

History

#1 - 08/08/2019 09:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Baptiste Agasse

- Pull request https://github.com/theforeman/foreman/pull/6965 added

#2 - 09/02/2019 10:56 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#3 - 09/02/2019 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset cad1fc389c7582dcdedeb77b8f238d72508dc410.

#4 - 09/02/2019 12:09 PM - Evgeni Golov

- Related to Tracker #27680: API bugs that need workarounds in foreman-ansible-modules added

#5 - 09/20/2019 12:37 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #27897: Param type should not be required in host(group) api added

#6 - 09/20/2019 02:49 PM - Oleh Fedorenko

- Related to Bug #27868: No way to provide type for hosts parameters in Foreman >= 1.23 added
